# Uses of Class
javax.imageio.ImageWriter

Packages that use ImageWriter
Package
Description
javax.imageio
The main package of the Java Image I/O API.
javax.imageio.event
A package of the Java Image I/O API dealing with synchronous notification of events during the reading and writing of images.
javax.imageio.spi
A package of the Java Image I/O API containing the plug-in interfaces for readers, writers, transcoders, and streams, and a runtime registry.

## Uses of ImageWriter in javax.imageio

Methods in javax.imageio that return ImageWriter
Modifier and Type
Method
Description
`static ImageWriter`
ImageIO.`getImageWriter(ImageReader reader)`
Returns an `ImageWriter` corresponding to the given `ImageReader`, if there is one, or `null` if the plug-in for this `ImageReader` does not specify a corresponding `ImageWriter`, or if the given `ImageReader` is not registered.
Methods in javax.imageio that return types with arguments of type ImageWriter
Modifier and Type
Method
Description
`static Iterator<ImageWriter>`
ImageIO.`getImageWriters(ImageTypeSpecifier type, String formatName)`
Returns an `Iterator` containing all currently registered `ImageWriter`s that claim to be able to encode images of the given layout (specified using an `ImageTypeSpecifier`) in the given format.
`static Iterator<ImageWriter>`
ImageIO.`getImageWritersByFormatName(String formatName)`
Returns an `Iterator` containing all currently registered `ImageWriter`s that claim to be able to encode the named format.
`static Iterator<ImageWriter>`
ImageIO.`getImageWritersByMIMEType(String MIMEType)`
Returns an `Iterator` containing all currently registered `ImageWriter`s that claim to be able to encode files with the given MIME type.
`static Iterator<ImageWriter>`
ImageIO.`getImageWritersBySuffix(String fileSuffix)`
Returns an `Iterator` containing all currently registered `ImageWriter`s that claim to be able to encode files with the given suffix.
Methods in javax.imageio with parameters of type ImageWriter
Modifier and Type
Method
Description
`static ImageReader`
ImageIO.`getImageReader(ImageWriter writer)`
Returns an `ImageReader` corresponding to the given `ImageWriter`, if there is one, or `null` if the plug-in for this `ImageWriter` does not specify a corresponding `ImageReader`, or if the given `ImageWriter` is not registered.
`static Iterator<ImageTranscoder>`
ImageIO.`getImageTranscoders(ImageReader reader, ImageWriter writer)`
Returns an `Iterator` containing all currently registered `ImageTranscoder`s that claim to be able to transcode between the metadata of the given `ImageReader` and `ImageWriter`.

## Uses of ImageWriter in javax.imageio.event

Methods in javax.imageio.event with parameters of type ImageWriter
Modifier and Type
Method
Description
`void`
IIOWriteProgressListener.`imageComplete(ImageWriter source)`
Reports that the image write operation has completed.
`void`
IIOWriteProgressListener.`imageProgress(ImageWriter source, float percentageDone)`
Reports the approximate degree of completion of the current `write` call within the associated `ImageWriter`.
`void`
IIOWriteProgressListener.`imageStarted(ImageWriter source, int imageIndex)`
Reports that an image write operation is beginning.
`void`
IIOWriteProgressListener.`thumbnailComplete(ImageWriter source)`
Reports that a thumbnail write operation has completed.
`void`
IIOWriteProgressListener.`thumbnailProgress(ImageWriter source, float percentageDone)`
Reports the approximate degree of completion of the current thumbnail write within the associated `ImageWriter`.
`void`
IIOWriteProgressListener.`thumbnailStarted(ImageWriter source, int imageIndex, int thumbnailIndex)`
Reports that a thumbnail write operation is beginning.
`void`
IIOWriteWarningListener.`warningOccurred(ImageWriter source, int imageIndex, String warning)`
Reports the occurrence of a non-fatal error in encoding.
`void`
IIOWriteProgressListener.`writeAborted(ImageWriter source)`
Reports that a write has been aborted via the writer's `abort` method.

## Uses of ImageWriter in javax.imageio.spi

Methods in javax.imageio.spi that return ImageWriter
Modifier and Type
Method
Description
`ImageWriter`
ImageWriterSpi.`createWriterInstance()`
Returns an instance of the `ImageWriter` implementation associated with this service provider.
`abstract ImageWriter`
ImageWriterSpi.`createWriterInstance(Object extension)`
Returns an instance of the `ImageWriter` implementation associated with this service provider.
Methods in javax.imageio.spi with parameters of type ImageWriter
Modifier and Type
Method
Description
`boolean`
ImageWriterSpi.`isOwnWriter(ImageWriter writer)`
Returns `true` if the `ImageWriter` object passed in is an instance of the `ImageWriter` associated with this service provider.